---
title: "AgentPreviewCreateRequest"
url: "https://developers.bynder.com/apis/agents/versions/f5aecf98-613e-4ae8-b26a-ec2cdf804b2c/schemas/AgentPreviewCreateRequest"
---

> Full API specification: https://developers.bynder.com/apis/agents/versions/f5aecf98-613e-4ae8-b26a-ec2cdf804b2c.md

# AgentPreviewCreateRequest

Request body for creating an agent preview, which lets you try a prompt, capability, and properties before saving an agent. To run an existing preview against an asset, use ExecutionPreviewRequest.

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: AI Agents
  version: "1.0"
servers:
  - url: https://{your-bynder-domain}/
components:
  schemas:
    AgentPreviewCreateRequest:
      type: object
      description: Request body for creating an agent preview, which lets you try a
        prompt, capability, and properties before saving an agent. To run an
        existing preview against an asset, use ExecutionPreviewRequest.
      required:
        - promptText
        - agentCapability
        - agentProperties
      properties:
        promptText:
          type: string
        agentCapability:
          type: string
          enum:
            - ENRICHMENT_AGENT
            - TRANSFORMATION_AGENT
            - BRAND_COMPLIANCE_AGENT
            - GOVERNANCE_AGENT
            - PATH_GENERATOR_AGENT
        agentProperties:
          type: object
          additionalProperties: true
        agentId:
          type: string
          format: uuid
```
